Skip to main content
GET
/
v1
/
assets
/
get-all-assets
curl -X GET 'https://crypto-api.yativo.com/api/v1/assets/get-all-assets' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "data": [
    {
      "_id": "67db59c4ebea822c360d5091",
      "asset_name": "BNB Smart Chain",
      "asset_short_name": "BNB",
      "chain": "BSC",
      "chain_id": 56,
      "network_type": "mainnet",
      "asset_type": "native",
      "decimals": 18,
      "image": "https://cdn.yativo.com/assets/chains/bnb.png",
      "active": true,
      "price": 613.45,
      "ticker_name": "BNB",
      "layer_type": "L1",
      "parent_chain": null,
      "suspended": false
    },
    {
      "_id": "67db5f72ebea822c360d568d",
      "asset_name": "USD Coin (Solana)",
      "asset_short_name": "USDC",
      "chain": "SOL",
      "chain_id": null,
      "network_type": "mainnet",
      "asset_type": "token",
      "decimals": 6,
      "image": "https://cdn.yativo.com/assets/tokens/usdc.png",
      "active": true,
      "price": 1.00,
      "ticker_name": "USDC_SOL",
      "suspended": false
    }
  ],
  "status": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.yativo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
curl -X GET 'https://crypto-api.yativo.com/api/v1/assets/get-all-assets' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "data": [
    {
      "_id": "67db59c4ebea822c360d5091",
      "asset_name": "BNB Smart Chain",
      "asset_short_name": "BNB",
      "chain": "BSC",
      "chain_id": 56,
      "network_type": "mainnet",
      "asset_type": "native",
      "decimals": 18,
      "image": "https://cdn.yativo.com/assets/chains/bnb.png",
      "active": true,
      "price": 613.45,
      "ticker_name": "BNB",
      "layer_type": "L1",
      "parent_chain": null,
      "suspended": false
    },
    {
      "_id": "67db5f72ebea822c360d568d",
      "asset_name": "USD Coin (Solana)",
      "asset_short_name": "USDC",
      "chain": "SOL",
      "chain_id": null,
      "network_type": "mainnet",
      "asset_type": "token",
      "decimals": 6,
      "image": "https://cdn.yativo.com/assets/tokens/usdc.png",
      "active": true,
      "price": 1.00,
      "ticker_name": "USDC_SOL",
      "suspended": false
    }
  ],
  "status": true
}